<div class='ember-safe-button' ...attributes>
  {{#if (has-block)}}
    {{yield
      (hash
        trigger=(component
          'trigger'
          onClick=@onConfirm
          safetyStatus=this.safetyStatus
          displayedMessage=this.displayedMessage
          webAnimations=this.webAnimations.trigger
        )
        safety=(component
          'safety'
          onClick=this.onUnlocking
          safetyStatus=this.safetyStatus
          displayedMessage=this.displayedMessage
          webAnimations=this.webAnimations.safety
        )
      )
    }}
  {{else}}
    <Trigger
      @onClick={{@onConfirm}}
      @safetyStatus={{this.safetyStatus}}
      @displayedMessage={{this.displayedMessage}}
      @webAnimations={{this.webAnimations.trigger}}
    />
    <Safety
      @onClick={{this.onUnlocking}}
      @safetyStatus={{this.safetyStatus}}
      @displayedMessage={{this.displayedMessage}}
      @webAnimations={{this.webAnimations.safety}}
    />
  {{/if}}
</div>